<template>
  <div class="bg-white rounded-lg shadow-sm p-6 mb-6 border border-gray-100">
    <div class="flex items-center justify-between mb-4">
      <h3 class="text-lg font-medium">AI Assistant</h3>
      <div class="flex items-center">
        <span class="mr-2 text-sm text-gray-600">Enable</span>
        <label class="relative inline-flex items-center cursor-pointer">
          <input type="checkbox" v-model="form.enabled" class="sr-only peer" @change="$emit('saveSchedule')">
          <div class="w-11 h-6 bg-gray-200 peer-focus:outline-none peer-focus:ring-4 peer-focus:ring-blue-300 rounded-full peer peer-checked:after:translate-x-full peer-checked:after:border-white after:content-[''] after:absolute after:top-[2px] after:left-[2px] after:bg-white after:border-gray-300 after:border after:rounded-full after:h-5 after:w-5 after:transition-all peer-checked:bg-blue-600"></div>
        </label>
      </div>
    </div>
    
    <!-- Rest of the schedule form -->
    <div class="mb-4">
      <div class="text-sm text-gray-600 mb-2">Weekly Schedule</div>
      <div class="flex gap-3">
        <label v-for="(day, index) in weekDays" :key="index" class="inline-flex items-center">
          <input type="checkbox" 
            v-model="form.selectedDays" 
            :value="index"
            class="form-checkbox h-5 w-5 text-green-600">
          <span class="ml-1">{{ day }}</span>
        </label>
      </div>
    </div>

    <div class="flex items-center gap-6">
      <div>
        <label class="block text-sm text-gray-600 mb-2">Start Time</label>
        <input type="time" v-model="form.startTime" class="form-input rounded-md border-gray-300">
      </div>
      <div>
        <label class="block text-sm text-gray-600 mb-2">End Time</label>
        <input type="time" v-model="form.endTime" class="form-input rounded-md border-gray-300">
      </div>
    </div>

    <div class="mt-4">
      <button @click="$emit('saveSchedule')" class="px-4 py-2 bg-green-700 text-white rounded-md hover:bg-green-800">
        Save
      </button>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    form: {
      type: Object,
      required: true
    },
    weekDays: {
      type: Array,
      required: true
    }
  },
  emits: ['saveSchedule']
};
</script>
